package dao

import (
	"go.mongodb.org/mongo-driver/mongo"
	"mongo.games.com/goserver/mongoctl/example/dao/internal"
)

type Counter struct {
	*internal.Counter
}

func NewCounter(db *mongo.Database) *Counter {
	return &Counter{Counter: internal.NewCounter(db)}
}
